package com.yeejoin.amos.fas.business.service.intfc;

import com.yeejoin.amos.fas.business.param.PointListParam;
import com.yeejoin.amos.feign.privilege.model.AgencyUserModel;
import com.yeejoin.amos.feign.privilege.model.DepartmentModel;

import org.springframework.data.domain.Page;

import java.util.HashMap;
import java.util.List;

public interface ICommonService {

    List<DepartmentModel> getDepartment(String toke,String product,String appKey,String companyId);

    Page<HashMap<String, Object>> getPointList(PointListParam params);

    Page<HashMap<String, Object>> getPointInputList(PointListParam params);

    /**
     * 根据部门ID获取部门人员信息
     *
     * @param departmentId
     * @return
     */
    List<AgencyUserModel> getUsers(String toke,String product,String appKey,String departmentId);

    /**
     * 获取公司下所有用户
     *
     * @return
     */
    List<AgencyUserModel> getAllUser(String toke,String product,String appKey,String orgCode);
}
